> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trainy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add log names to a run

> Adds new log names (metrics, console logs, etc.) to an existing run.



## OpenAPI

````yaml /pluto/api-reference/openapi.json post /api/runs/logName/add
openapi: 3.0.0
info:
  title: mlop API
  version: 1.0.0
  description: API for mlop - ML experiment tracking platform
servers:
  - url: https://pluto-api.trainy.ai
    description: API Server
security:
  - bearerAuth: []
paths:
  /api/runs/logName/add:
    post:
      tags:
        - Runs
      summary: Add log names to a run
      description: Adds new log names (metrics, console logs, etc.) to an existing run.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                runId:
                  type: number
                  description: Numeric ID of the run
                logName:
                  type: array
                  items:
                    type: string
                  description: Log names to add
                  example:
                    - train/loss
                    - train/accuracy
                logType:
                  type: string
                  enum:
                    - METRIC
                    - IMAGE
                    - VIDEO
                    - AUDIO
                    - FILE
                    - TEXT
                    - ARTIFACT
                    - HISTOGRAM
                    - TABLE
                    - DATA
                  description: Type of log
                  example: METRIC
              required:
                - runId
                - logName
                - logType
      responses:
        '200':
          description: Log names added successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Success'
        '404':
          description: Run not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Success:
      type: object
      properties:
        success:
          type: boolean
      required:
        - success
    Error:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key obtained from the mlop dashboard

````